#include<iostream>
using namespace std;
int main()
{
    int novc=0;
    long long v,v1;
    cin>>v;
    v1=v;
    while(v!=0)
    {
        v1=v%10;
        if(v1==1 || v1==2 || v1==5)
            novc=novc+1;
        if(v1==3 || v1==4 || v1==6 || v1==7)
            novc=novc+2;
        if(v1==8 || v1==9)
            novc=novc+3;
        v=v/10;
    }
    cout<<novc;
    return 0;
}